#include "mainwindow.h"
#include <iostream>
using namespace std;
using namespace KIO;
MainWindow::MainWindow():KMainWindow() {
	cerr << "MainWindow constructor" << endl;
	_job=listDir(KURL("vfolder:/Root"), false, true);
	cerr << "listDir..." << endl;
	connect(_job, SIGNAL(entries(KIO::Job*, const KIO::UDSEntryList &)), this, SLOT(entries(KIO::Job*, const KIO::UDSEntryList &)));
	connect(_job, SIGNAL(result(KIO::Job*)), this, SLOT(result(KIO::Job*)));
}

void MainWindow::addEntry(QString const &name, QString const &URL)
{
	if(URL.isEmpty())
		std::cerr << "Adding " << name.latin1() << endl;
	else
		std::cerr << "Adding " << name.latin1() << " (" << URL.latin1() << ")" << std::endl;
}

void MainWindow::entries(Job *job, UDSEntryList const &entries)
{
	std::cerr << "Entry received." << endl;
	for(UDSEntryList::ConstIterator entry=entries.begin(); entry!=entries.end(); entry++) {
		QString name, url;
		int type=S_IFREG;
		cerr << "Parsing entry" << endl;
		for(UDSEntry::ConstIterator atom=(*entry).begin(); atom!=(*entry).end(); atom++) {
			switch((*atom).m_uds) {
			case KIO::UDS_NAME:
				name=(*atom).m_str;
				cerr << "Name: " << name << endl;
				break;
			case KIO::UDS_URL:
				url=(*atom).m_str;
				cerr << "URL: " << url << endl;
				break;
			case KIO::UDS_FILE_TYPE:
				type=(*atom).m_long;
				break;
			}
		}
		if(!name.isEmpty() || !url.isEmpty()) {
			if(name.isEmpty())
				name=url;
			if(type==S_IFDIR)
				addDir(name, url);
			else
				addEntry(name, url);
		}
	}
}

void MainWindow::result(Job *job)
{
	std::cerr << "Result" << endl;
}

void MainWindow::canceled(Job *job)
{
}
