#include "parser.h"
#include <kdebug.h>
using namespace XmlCheck;
bool XmlErrorHandler::error(const QXmlParseException &exception)
{
	kdError(200000) << "ERROR: " << errorDescription(exception) << endl;
	return true;
}

bool XmlErrorHandler::fatalError(const QXmlParseException &exception)
{
	kdError(200000) << "FATAL ERROR: " << errorDescription(exception) << endl;
	return true;
}

bool XmlErrorHandler::warning(const QXmlParseException &exception)
{
	kdWarning(200000) << "WARNING: " << errorDescription(exception) << endl;
	return true;
}

QString XmlErrorHandler::errorDescription(const QXmlParseException &exception)
{
	return exception.message() + " at " + exception.publicId() + "/" + exception.systemId() + " in line " + exception.lineNumber() + ", column " + exception.columnNumber();
}

QString XmlErrorHandler::errorString()
{
	return QString::null;
}

XmlParser::XmlParser():QXmlDefaultHandler()
{
}

bool XmlParser::startDocument()
{
	return true;
}

bool XmlParser::startElement(QString const &nspace, QString const &localName, QString const &name, QXmlAttributes const &attr)
{
	content=QString::null;
	return true;
}

bool XmlParser::endElement(QString const &nspace, QString const &localName, QString const &name)
{
	return true;
}

bool XmlParser::characters(QString const &ch)
{
	content += ch;
	return true;
}

